package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象对象 biz_obj
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObj", description = "业务对象")
public class BizObj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @TableId
    private Long objId;

    /** 业务类型 */
    @ApiModelProperty("业务类型")
    @Excel(name = "业务类型")
    private String objType;

    /** 应用ID */
    @ApiModelProperty("应用ID")
    @Excel(name = "应用ID")
    private Long appId;

    /** 对象名称 */
    @ApiModelProperty("对象名称")
    @Excel(name = "对象名称")
    private String objName;

    /** IP地址 */
    @ApiModelProperty("IP地址")
    @Excel(name = "IP地址")
    private String objAddr;

    /** 端口 */
    @ApiModelProperty("端口")
    @Excel(name = "端口")
    private Long objPort;

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setObjType(String objType)
    {
        this.objType = objType;
    }

    public String getObjType()
    {
        return objType;
    }
    public void setAppId(Long appId)
    {
        this.appId = appId;
    }

    public Long getAppId()
    {
        return appId;
    }
    public void setObjName(String objName)
    {
        this.objName = objName;
    }

    public String getObjName()
    {
        return objName;
    }
    public void setObjAddr(String objAddr)
    {
        this.objAddr = objAddr;
    }

    public String getObjAddr()
    {
        return objAddr;
    }
    public void setObjPort(Long objPort)
    {
        this.objPort = objPort;
    }

    public Long getObjPort()
    {
        return objPort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("objType", getObjType())
            .append("appId", getAppId())
            .append("objName", getObjName())
            .append("objAddr", getObjAddr())
            .append("objPort", getObjPort())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
