package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象模板应用对象 biz_obj_tpl
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObjTpl", description = "业务对象模板应用")
public class BizObjTpl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板应用ID */
    @ApiModelProperty("模板应用ID")
    @TableId
    private Long objTplId;

    /** 业务对象ID */
    @ApiModelProperty("业务对象ID")
    @Excel(name = "业务对象ID")
    private Long objId;

    /** 模板ID */
    @ApiModelProperty("模板ID")
    @Excel(name = "模板ID")
    private Long tplId;

    public void setObjTplId(Long objTplId)
    {
        this.objTplId = objTplId;
    }

    public Long getObjTplId()
    {
        return objTplId;
    }
    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setTplId(Long tplId)
    {
        this.tplId = tplId;
    }

    public Long getTplId()
    {
        return tplId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objTplId", getObjTplId())
            .append("objId", getObjId())
            .append("tplId", getTplId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
